<?php
function getAdValue($val) {
	if (isset($_GET['ad_id'])) {
		return bsa_ad($_GET['ad_id'], $val);
	} else {
		if ( isset($_POST[$val]) || isset($_SESSION['bsa_ad_status']) ) {
			if ( isset($_SESSION['bsa_ad_status']) == 'ad_added' ) {
				$_SESSION['bsa_clear_form'] = 'ad_added';
				unset($_SESSION['bsa_ad_status']);
			}
			$status = (isset($_SESSION['bsa_clear_form']) ? $_SESSION['bsa_clear_form'] : '');
			if ( $status == 'ad_added' ) {
				return '';
			} else {
				return $_POST[$val];
			}
		} else {
			return '';
		}
	}
}
?>
<h2>
	<?php if ( isset($_GET['ad_id']) ): ?>
		<span class="dashicons dashicons-edit"></span> Edit <strong>Ad ID <?php echo $_GET['ad_id']; ?></strong> added to <strong>Space ID <?php echo getAdValue('space_id'); ?></strong> <small>(<strong><?php echo bsa_ad($_GET['ad_id'], 'ad_model') ?></strong> billing model)</small>
		<p><span class="dashicons dashicon-14 dashicons-arrow-left-alt"></span> <a href="<?php echo admin_url(); ?>admin.php?page=bsa-pro-sub-menu-ma-spaces<?php echo ((getAdValue('space_id')) ? '&site_id='.bsa_space(getAdValue('space_id'), 'site_id').'&space_id='.getAdValue('space_id') : null) ?>">back to <strong>spaces / ads</strong></a></p>
	<?php else: ?>
		<span class="dashicons dashicons-plus-alt"></span> Add new Ad
		<p><span class="dashicons dashicon-14 dashicons-arrow-left-alt"></span> <a href="<?php echo admin_url(); ?>admin.php?page=bsa-pro-sub-menu-ma-spaces">back to <strong>sites</strong></a></p>
	<?php endif; ?>
</h2>

<?php if ( isset($_GET['ad_id']) && bsa_ad($_GET['ad_id'], 'id') != NULL || !isset($_GET['ad_id']) ): ?>

	<?php $model = new BSA_PRO_Model();
	$spaces = (($model->getSpaces('active', NULL, 'user')) ? $model->getSpaces('active', NULL, 'user') : NULL);
	$sites = $model->getUserSites('id,title', bsa_role());

	$count_ads = NULL;
	$space_verify = NULL;
	if (is_array($spaces))
	{
		foreach ( $spaces as $key => $space ) {
			$count_ads = $model->countAds($space["id"]);
			if ( $model->countAds($space["id"]) < bsa_space($space["id"], 'max_items') ) {
				$space_verify .= (( $key > 0 ) ? ','.$space["id"] : $space["id"]);
			} else {
				$space_verify .= '';
			}
		}
	}
	$space_verify = (( $space_verify != '') ? explode(',', $space_verify) : FALSE );

	if ( $sites && $spaces && $space_verify && !isset($_GET['ad_id'])  || $sites && $spaces && isset($_GET['ad_id']) && bsa_space(bsa_ad($_GET['ad_id'], 'space_id'), 'max_items') >= $model->countAds(bsa_ad($_GET['ad_id'], 'space_id')) ): ?>
		<form action="" method="post" enctype="multipart/form-data" class="bsaNewAd">
			<?php if ( isset($_GET['ad_id']) ): ?>
				<input type="hidden" value="updateMaAd" name="bsaProAction">
			<?php else: ?>
				<input type="hidden" value="addMaNewAd" name="bsaProAction">
			<?php endif; ?>
			<table class="bsaAdminTable form-table">
				<tbody class="bsaTbody">
				<tr>
					<th colspan="2">
						<?php if ( isset($_GET['ad_id']) ): ?>
							<h3><span class="dashicons dashicons-exerpt-view"></span> Edit Ad Content</h3>
						<?php else: ?>
							<h3><span class="dashicons dashicons-exerpt-view"></span> Create new Ad</h3>
						<?php endif; ?>
					</th>
				</tr>
				<?php if ( bsa_get_opt('admin_settings', 'ad_name') == 'yes' ): ?>
				<tr>
					<th scope="row"><label for="bsa_pro_ad_name">Ad Name (optional) <br>listed in the backend only</label></th>
					<td>
						<input id="bsa_pro_ad_name" name="ad_name" type="text" class="regular-text" value="<?php echo getAdValue('ad_name') ?>">
					</td>
				</tr>
				<?php endif; ?>
				<tr>
					<th scope="row"><label for="bsa_pro_buyer_email">E-mail</label></th>
					<td>
						<?php $user_info = get_userdata(get_current_user_id()); ?>
						<?php if ( !isset($_GET['ad_id']) && isset($user_info->user_email) ): ?>
							<input id="bsa_pro_buyer_email" name="buyer_email" type="email" class="regular-text" maxlength="255" value="<?php echo $user_info->user_email; ?>">
						<?php else: ?>
							<input id="bsa_pro_buyer_email" name="buyer_email" type="email" class="regular-text" maxlength="255" value="<?php echo getAdValue('buyer_email') ?>">
						<?php endif; ?>
						<p class="description">E-mail address is required to generate statistics.</p>
					</td>
				</tr>
				<?php if ( !isset($_GET['ad_id']) ): ?>
					<tr>
						<th scope="row"><label for="bsa_pro_space_id">Choose Space</label></th>
						<td>
							<select id="bsa_pro_space_id" name="space_id" onchange="bsaGetBillingMethods()">
								<?php
								if ( $spaces != NULL ) {
									foreach ( $sites as $site ) {
										if ( $model->getSpaces('active', NULL, 'user', $site['id']) != NULL ) {
											echo '<optgroup label="'.$site['title'].', ID:'.$site['id'].'">';
											foreach ( $model->getSpaces('active', NULL, 'user', $site['id']) as $space ) {
												if ( array_search($space["id"], $space_verify) !== FALSE ) {
													if ( $model->countAds($space["id"]) < bsa_space($space["id"], 'max_items') && $model->countAds($space["id"]) != bsa_space($space["id"], 'max_items') ) {
														echo '<option value="'.$space["id"].'" '.((isset($_POST) && isset($_POST["space_id"]) && $_POST["space_id"] == $space["id"]) ? 'selected="selected"' : "").'>'.$space["name"].'</option>';
													} else {
														echo '<option value="" disabled>'.$space["name"].' ('.$model->countAds($space["id"]).'/'.bsa_space($space["id"], 'max_items').')'.'</option>';
													}
												}
											}
											echo '</optgroup>';
										}
									}
								} ?>
							</select> <span class="bsaLoader" style="display:none;"></span>
						</td>
					</tr>
					<tr>
						<th scope="row"><label>Billing model <br>(display limit)</label></th>
						<td>
							<h3 style="margin-top:0;">Choose Billing Model and Display Limit <span class="bsaLoader" style="display:none;"></span></h3>
							<div class="bsaGetBillingModels"></div>
						</td>
					</tr>
				<?php endif ?>
				<tr>
					<th scope="row">Live Preview</th>
					<td>
						<?php if ( isset($_GET['ad_id']) ): ?>
							<input id="bsa_pro_space_id" type="hidden" value="<?php echo getAdValue('space_id'); ?>">
							<input id="bsa_pro_ad_id" type="hidden" value="<?php echo $_GET['ad_id']; ?>">
						<?php endif ?>
						<h3 style="margin-top:0;">Ad Live Preview <span class="bsaLoader" style="display:none;"></span></h3>
						<div class="bsaTemplatePreview">
							<div class="bsaTemplatePreviewInner"></div>
						</div>
					</td>
				</tr>
				<tr class="bsa_title_inputs_load" style="display: none">
					<th scope="row"><label for="bsa_pro_title">Title <small>(<span class="bsa_pro_sign_title"><?php echo get_option('bsa_pro_plugin_max_title') ?></span>)</small></label></th>
					<td>
						<input id="bsa_pro_title" name="title" type="text" class="regular-text" maxlength="<?php echo get_option('bsa_pro_plugin_max_title') ?>" value="<?php echo getAdValue('title') ?>">
					</td>
				</tr>
				<tr class="bsa_desc_inputs_load" style="display: none">
					<th scope="row"><label for="bsa_pro_desc">Description <small>(<span class="bsa_pro_sign_desc"><?php echo get_option('bsa_pro_plugin_max_desc') ?></span>)</small></label></th>
					<td>
						<input id="bsa_pro_desc" name="description" type="text" class="regular-text" maxlength="<?php echo get_option('bsa_pro_plugin_max_desc') ?>" value="<?php echo getAdValue('description') ?>">
					</td>
				</tr>
				<tr class="bsa_button_inputs_load" style="display: none">
					<th scope="row"><label for="bsa_pro_button">Action Button <small>(<span class="bsa_pro_sign_button"><?php echo get_option('bsa_pro_plugin_max_button') ?></span>)</small></label></th>
					<td>
						<input id="bsa_pro_button" name="button" type="text" class="regular-text" maxlength="<?php echo get_option('bsa_pro_plugin_max_button') ?>" value="<?php echo getAdValue('button') ?>">
					</td>
				</tr>
				<tr class="bsa_url_inputs_load" style="display: none">
					<th scope="row"><label for="bsa_pro_url">URL <small>(<span class="bsa_pro_sign_url">255</span>)</small></label></th>
					<td>
						<input id="bsa_pro_url" name="url" type="url" class="regular-text" maxlength="255" value="<?php echo getAdValue('url') ?>">
						<p class="bsa_pro_html_desc description" style="display:none;"><strong>Note!</strong> You can use the URL field within clean HTML ads only (you can't use it with AdSense or other external JS codes).</p>
					</td>
				</tr>
				<tr class="bsa_img_inputs_load" style="display: none">
					<th scope="row"><label for="bsa_pro_img">Image</label></th>
					<td>
						<input type="file" id="bsa_pro_img" name="img" onchange="bsaPreviewThumb(this)"><br><br>
						- or -<br><br>
						<label for="bsa_pro_img_url">Full URL of Image (<strong id="upload-btn">use media library</strong>)</label><br>
						<input id="bsa_pro_img_url" name="img_url" type="url" onchange="bsaPreviewThumb(this.value)" class="regular-text" maxlength="1000" value="" placeholder="https://yoursite.com/image.jpg"><br><br>
						<p class="description"><?php echo get_option('bsa_pro_plugin_trans_form_left_thumb'); ?></p>
						<p class="description"><strong>Note!</strong> If you editing the ad and do not want to change the image, skip this field.</p><br>
					</td>
				</tr>
				<tr class="bsa_html_inputs_load" style="display: none">
					<th scope="row"><label for="bsa_pro_html">HTML / JS</label></th>
					<td>
						<textarea id="bsa_pro_html" name="html" class="regular-text ltr" rows="14" cols="70"><?php echo getAdValue('html') ?></textarea>
						<p class="description"><strong>Note!</strong> Use this URL (<?php echo get_option('bsa_pro_plugin_agency_ordering_form_url') ?>?bsa_pro_id=<strong>AD_ID</strong>&bsa_pro_url=<strong>1</strong>) to keep statistics.</p>
					</td>
				</tr>
				<?php if ( isset($_GET['ad_id']) ): ?>
					<tr>
						<th colspan="2">
							<h3><span class="dashicons dashicons-plus"></span> Increase limit display</h3>
						</th>
					</tr>
					<tr>
						<?php $diffTime = '';
						if ( bsa_ad($_GET['ad_id'], 'ad_model') == 'cpc' ) {
							$model_type = 'clicks';
							$limit_value = ( bsa_ad($_GET['ad_id'], 'ad_limit') <= 0 ) ? 0 : bsa_ad($_GET['ad_id'], 'ad_limit');
						} elseif ( bsa_ad($_GET['ad_id'], 'ad_model') == 'cpm' ) {
							$model_type = 'views';
							$limit_value = ( bsa_ad($_GET['ad_id'], 'ad_limit') <= 0 ) ? 0 : bsa_ad($_GET['ad_id'], 'ad_limit');
						} else { // if ( bsa_ad($_GET['ad_id'], 'ad_model') == 'cpd' ) // IF CPD BILLING MODEL
							$time = time();
							$limit = bsa_ad($_GET['ad_id'], 'ad_limit');
							$diff = $limit - $time;
							$limit_value = ( $diff < 86400 /* 1 day in sec */ ) ? ( $diff > 0 ) ? 'less than 1' : '0' : number_format($diff / 24 / 60 / 60);
							$diffTime = date('d/m/Y (H:i)', time() + $diff); // d M Y
							$model_type = ( $diff > 86400 || $diff == -0 ) ? 'days' : 'day';
						} ?>
						<th scope="row"><label>Currently limit display <br>(<?php echo $model_type ?> to finish)</label></th>
						<td>
							<input name="limit" type="text" class="regular-text" placeholder="<?php echo $limit_value ?>" disabled> <em><?php echo $model_type ?></em>
							<p class="description"><?php echo ( bsa_ad($_GET['ad_id'], 'ad_model') == 'cpd' ) ? $diffTime : ''; ?></p>
						</td>
					</tr>
					<tr>
						<th class="bsaLast" scope="row"><label for="increase_limit">Change limit display <br>(add / subtract <?php echo $model_type ?> to currently limit)</label></th>
						<td class="bsaLast">
							<input id="increase_limit" name="increase_limit" type="number" class="regular-text" value=""> <em><?php echo $model_type ?></em>
							<p class="description">Skip this field if you don't want to increase / decrease the display limit.</p>
						</td>
					</tr>
				<?php endif; ?>
				<?php if ( bsa_get_opt('order_form', 'optional_field') == 'yes' ): ?>
					<tr>
						<th class="bsaLast" scope="row"><label for="bsa_pro_optional_field">Additional Information</label></th>
						<td class="bsaLast">
							<input id="bsa_pro_optional_field" name="optional_field" type="text" class="regular-text" value="<?php echo getAdValue('optional_field') ?>">
						</td>
					</tr>
				<?php endif; ?>
				<?php if(get_option('bsa_pro_plugin_'.'agency_other_sites') != 'yes'): ?>
				<tr>
					<th class="bsaLast" scope="row"><label for="bsa_pro_capping">Capping - Number of impressions per User / Session</label></th>
					<td class="bsaLast">
						<input id="bsa_pro_capping" name="capping" type="text" class="regular-text" maxlength="3" value="<?php echo getAdValue('capping') ?>">
					</td>
				</tr>
				<?php endif; ?>
				</tbody>
			</table>
			<input class="bsa_inputs_required" name="inputs_required" type="hidden" value="">
			<p class="submit">
				<input type="submit" value="Save Ad" class="button button-primary" id="bsa_pro_submit" name="submit">
			</p>
		</form>
	<?php else: ?>

		<div class="updated settings-error" id="setting-error-settings_updated">
			<p><strong>Spaces not exists or all advertising spaces occupied!</strong> Go <a href="<?php echo admin_url(); ?>admin.php?page=bsa-pro-sub-menu-ma-new-space">here</a> to add new space.</p>
		</div>

	<?php endif; ?>

<?php else: ?>

	<div class="updated settings-error" id="setting-error-settings_updated">
		<p><strong>Error!</strong> Ad not exists!</p>
	</div>

<?php endif; ?>

<style>
	<?php
		foreach ( $spaces as $space ) {
			$size = explode('--', str_replace('block-', '', $space['template']));
			$width = (isset($size[0]) ? $size[0] : 0);
			$height = (isset($size[1]) ? $size[1] : 0);
			if ( $width > 0 && $height > 0 ) { ?>
	.bsaTemplatePreview .bsa-<?php echo $space['template']; ?> {
		width: <?php echo $width; ?>px;
		height: <?php echo $height; ?>px;
	}
	<?php }
}
?>
</style>
<script>
	(function($) {
		"use strict";
		// - start - open page
		let bsaPageContent = $(".wrap");
		let waitingContent = $(".waitingContent");
		$(document).ready(function(){
			bsaPageContent.fadeIn();
			waitingContent.fadeOut();
		});
		// - end - open page

		let frame;
		let attachment;
		// Build the choose from library frame.
		$('#upload-btn').on('click', function () {
			if (frame) {
				frame.open();
				return;
			}
			// Create the media frame.
			frame = wp.media.frames.meta_image_frame = wp.media({
				// Tell the modal to show only images.
				library: {
					type: 'image'
				},
			});
			// When an image is selected, run a callback.
			frame.on('select', function () {
				// Grab the selected attachment.
				attachment = frame.state().get('selection').first().toJSON();
				$('#bsa_pro_img_url').val(attachment.url);
				$(".bsaProItemInner__img").css({"background-image" : "url(" + attachment.url + ")"});
				let tmpImg = new Image();
				tmpImg.src = attachment.url; // or document.images[i].src;
			});
			frame.open();
		});

		$(document).ready(function(){

			let inputTitle = $("#bsa_pro_title");
			let inputDesc = $("#bsa_pro_desc");
			let inputButton = $("#bsa_pro_button");
			let inputUrl = $("#bsa_pro_url");
			let inputHtml = $("#bsa_pro_html");
			inputTitle.on("keyup",function() { bsaPreviewInput("title"); });
			inputDesc.on("keyup",function() { bsaPreviewInput("desc"); });
			inputButton.on("keyup",function() { bsaPreviewInput("button"); });
			inputUrl.on("keyup",function() { bsaPreviewInput("url"); });
			inputHtml.on("keyup",function() { bsaPreviewInput("html"); });

			let sid = $("#bsa_pro_space_id");
			sid.on("change",function() {
				bsaGetBillingMethods();
				bsaTemplatePreview();
				$(".bsaUrlSpaceId").html($("#bsa_pro_space_id").val());
			});
			sid.trigger("change");

		});
	})(jQuery);

	function bsaGetBillingMethods()
	{
		(function($) {
			let getBillingModels = $(".bsaGetBillingModels");
			let bsaLoader = $(".bsaLoader");

			getBillingModels.slideUp();
			bsaLoader.fadeIn(400);
			setTimeout(function(){
				$.post(ajaxurl, {action:"bsa_get_billing_models_callback",bsa_space_id:$("#bsa_pro_space_id").val(),bsa_pro_admin:1}, function(result) {

					getBillingModels.html(result).slideDown();
					bsaLoader.fadeOut(400);

				});
			}, 1100);
		})(jQuery);
	}

	function bsaTemplatePreview()
	{
		(function($) {
			let bsaTemplatePreviewInner = $(".bsaTemplatePreviewInner");
			let bsaLoader = $(".bsaLoader");

			bsaTemplatePreviewInner.slideUp(400);
			bsaLoader.fadeIn(400);
			setTimeout(function(){
				$.post(ajaxurl, {action:"bsa_preview_callback",bsa_space_id:$("#bsa_pro_space_id").val(),bsa_ad_id:$("#bsa_pro_ad_id").val()}, function(result) {

					bsaTemplatePreviewInner.html(result).slideDown(400);

					bsaGetRequiredInputs();
					let inputTitle = $("#bsa_pro_title");
					let inputDesc = $("#bsa_pro_desc");
					let inputButton = $("#bsa_pro_button");
					let inputUrl = $("#bsa_pro_url");
					let inputHtml = $("#bsa_pro_html");
					if ( inputTitle.val().length > 0 ) { bsaPreviewInput("title"); }
					if ( inputDesc.val().length > 0 ) { bsaPreviewInput("desc"); }
					if ( inputButton.val().length > 0 ) { bsaPreviewInput("button"); }
					if ( inputUrl.val().length > 0 ) { bsaPreviewInput("url"); }
					if ( inputHtml.val().length > 0 ) { bsaPreviewInput("html"); }

					bsaLoader.fadeOut(400);

				});
			}, 1100);
		})(jQuery);
	}

	function bsaGetRequiredInputs()
	{
		(function($) {
			$.post(ajaxurl, {action:"bsa_required_inputs_callback",bsa_space_id:$("#bsa_pro_space_id").val(),bsa_get_required_inputs:1}, function(result) {
				$(".bsa_inputs_required").val($.trim(result));

				if ( result.indexOf('title') !== -1 ) { // show if title required
					$(".bsa_title_inputs_load").fadeIn();
				} else {
					$(".bsa_title_inputs_load").fadeOut();
				}
				if ( result.indexOf('desc') !== -1 ) { // show if description required
					$(".bsa_desc_inputs_load").fadeIn();
				} else {
					$(".bsa_desc_inputs_load").fadeOut();
				}
				if ( result.indexOf('button') !== -1 ) { // show if button required
					$(".bsa_button_inputs_load").fadeIn();
				} else {
					$(".bsa_button_inputs_load").fadeOut();
				}
				if ( result.indexOf('url') !== -1 ) { // show if url required
					$(".bsa_url_inputs_load").fadeIn();
				} else {
					$(".bsa_url_inputs_load").fadeOut();
				}
				if ( result.indexOf('img') !== -1 ) { // show if img required
					$(".bsa_img_inputs_load").fadeIn();
				} else {
					$(".bsa_img_inputs_load").fadeOut();
				}
				if ( result.indexOf('html') !== -1 ) { // show if html required
					$(".bsa_html_inputs_load").fadeIn();
					// show html notice
					$('.bsa_pro_html_desc').fadeIn();
				} else {
					$(".bsa_html_inputs_load").fadeOut();
					// hide html notice
					$('.bsa_pro_html_desc').fadeOut();
				}
			});
		})(jQuery);
	}

	function bsaPreviewInput(inputName)
	{
		(function($){
			"use strict";
			let input = $("#bsa_pro_" + inputName);
			let sign = $(".bsa_pro_sign_" + inputName);
			let limit = input.attr("maxLength");
			let bsaProContainerExample = $(".bsaProContainerExample");
			let exampleTitle = "<?php echo get_option("bsa_pro_plugin_trans_form_left_eg_title"); ?>";
			let exampleDesc = "<?php echo get_option("bsa_pro_plugin_trans_form_left_eg_desc"); ?>";
			let exampleButton = "<?php echo get_option("bsa_pro_plugin_trans_form_left_eg_button"); ?>";
			let exampleUrl = "<?php echo get_option("bsa_pro_plugin_trans_form_left_eg_url"); ?>";
			let exampleHTML = "HTML / JS Code";

			sign.text(limit - input.val().length);

			input.on('keyup', function() {
				if (input.val().length > limit) {
					input.val($(this).val().substring(0, limit));
				}
			});

			if (input.val().length > 0) {
				if ( inputName === "title" ) {
					bsaProContainerExample.find(".bsaProItemInner__" + inputName).html(input.val());
				} else if ( inputName === "desc" ) {
					bsaProContainerExample.find(".bsaProItemInner__" + inputName).html(input.val());
				} else if ( inputName === "button" ) {
					bsaProContainerExample.find(".bsaProItemInner__" + inputName).html(input.val());
				} else if ( inputName === "url" ) {
					let url_protocol = (input.val().search("https") > 0 ? 'https://' : 'http://');
					bsaProContainerExample.find(".bsaProItemInner__" + inputName).html(url_protocol + input.val().replace("http://","").replace("https://","").replace("www.","").split(/[/?#]/)[0]);
				} else if ( inputName === "html" ) {
					<?php if ( get_option('bsa_pro_plugin_'.'html_preview') == 'no' || get_option('bsa_pro_plugin_'.'html_preview') == NULL ): ?>
					bsaProContainerExample.find(".bsaProItemInner__" + inputName).html(input.val());
					<?php endif; ?>
				}
			} else {
				if ( inputName === "title" ) {
					bsaProContainerExample.find(".bsaProItemInner__" + inputName).html(exampleTitle);
				} else if ( inputName === "desc" ) {
					bsaProContainerExample.find(".bsaProItemInner__" + inputName).html(exampleDesc);
				} else if ( inputName === "button" ) {
					bsaProContainerExample.find(".bsaProItemInner__" + inputName).html(exampleButton);
				} else if ( inputName === "url" ) {
					let url_protocol = (exampleUrl.search("https") > 0 ? 'https://' : 'http://');
					bsaProContainerExample.find(".bsaProItemInner__" + inputName).html(url_protocol + exampleUrl.replace("http://","").replace("https://","").replace("www.","").split(/[/?#]/)[0]);
				} else if ( inputName === "html" ) {
					if ( bsaProContainerExample.find(".bsaProHTML .bsaProItemInner__" + inputName).length ) {
						bsaProContainerExample.find(".bsaProHTML .bsaProItemInner__" + inputName).html(exampleHTML);
					} else {
						bsaProContainerExample.find(".bsaProItemInner__" + inputName).html('');
					}
				}
			}
		})(jQuery);
	}

	function bsaPreviewThumb(input)
	{
		(function($) {
			if (input.files && input.files[0]) {
				let reader = new FileReader();
				reader.onload = function (e) {
					$(".bsaProItemInner__img").css({"background-image" : "url(" + e.target.result + ")"});
				};
				reader.readAsDataURL(input.files[0]);
			} else {
				if ( input !== '' ) {
					$(".bsaProItemInner__img").css({"background-image" : "url(" + input + ")"});
				}
			}
		})(jQuery);
	}
</script>